package de.humance.eco.profile.model.impl;

import com.liferay.portal.kernel.exception.SystemException;

import de.humance.eco.profile.model.VehicleTypeResource;
import de.humance.eco.profile.service.VehicleTypeResourceLocalServiceUtil;

/**
 * The extended model base implementation for the VehicleTypeResource service. Represents a row in the &quot;Profile_VehicleTypeResource&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This class exists only as a container for the default extended model level methods generated by ServiceBuilder. Helper methods and all application logic should be put in {@link VehicleTypeResourceImpl}.
 * </p>
 *
 * @author Humance
 * @see VehicleTypeResourceImpl
 * @see de.humance.eco.profile.model.VehicleTypeResource
 * @generated
 */
public abstract class VehicleTypeResourceBaseImpl
    extends VehicleTypeResourceModelImpl implements VehicleTypeResource {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this class directly. All methods that expect a vehicle type resource model instance should use the {@link VehicleTypeResource} interface instead.
     */
    @Override
    public void persist() throws SystemException {
        if (this.isNew()) {
            VehicleTypeResourceLocalServiceUtil.addVehicleTypeResource(this);
        } else {
            VehicleTypeResourceLocalServiceUtil.updateVehicleTypeResource(this);
        }
    }
}
